Bug 1264249 - SableCC executable has wrong path to JAR
SableCC executable has wrong path to JAR
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sablecc (Show other bugs)
22
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-17 21:54 EDT by Daniel Miranda
Modified: 2015-09-26 23:22 EDT (History)
1 user (show)

See Also:
Fixed In Version: sablecc-3.2-10.fc23 sablecc-3.2-9.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-26 13:33:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Miranda 2015-09-17 21:54:15 EDT
Description of problem:

Running the `sablecc` executable doesn't work properly, since the JAR path is wrong.

Version-Release number of selected component (if applicable):

sablecc.noarch 3.2-8.fc22

How reproducible:

Always

Steps to Reproduce:
1. Install SableCC
2. Run /usr/bin/sablecc

Actual results:

Program does not work at all.

Expected results:

Program works.

Additional info:

Here is the content of /usr/bin/sablecc from the package:


#!/bin/sh
#
# * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
# * This file is part of SableCC.                             *
# * See the file "LICENSE" for copyright information and the  *
# * terms and conditions for copying, distribution and        *
# * modification of SableCC.                                  *
# * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
#
# IMPORTANT: Put the absolute path to sablecc.jar below.
java -jar lib/sablecc.jar $*


Pay attention to the notice to set an absolute path, that unfortunately wasn't followed. lib/sablecc.jar should be /usr/share/java/sablecc.jar instead.
Comment 1 Fedora Update System 2015-09-18 04:55:38 EDT
sablecc-3.2-9.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16148
Comment 2 Fedora Update System 2015-09-18 05:03:00 EDT
sablecc-3.2-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16149
Comment 3 Fedora Update System 2015-09-18 20:20:43 EDT
sablecc-3.2-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update sablecc'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16149
Comment 4 Daniel Miranda 2015-09-18 20:50:29 EDT
The updated package works correctly on F22. Thanks!
Comment 5 Fedora Update System 2015-09-18 22:20:52 EDT
sablecc-3.2-9.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update sablecc'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16148
Comment 6 Fedora Update System 2015-09-26 13:33:47 EDT
sablecc-3.2-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-09-26 23:22:02 EDT
sablecc-3.2-9.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.